  	.syntax unified
  	.cpu cortex-m4

	.equ 	RCC,		 0x40021000
	.equ 	RCC_AHBENR,	 RCC+0x14
	.equ 	GPIOA, 		 0x48000000
	.equ 	GPIOA_MODER, GPIOA+0
	.equ 	GPIOA_ODR, 	 GPIOA+0x14

    .section	.text

	.weak	Reset_Handler
	.type	Reset_Handler, %function
Reset_Handler:
	ldr		r0,=RCC_AHBENR
	ldr		r1,[r0]
	orr		r1, #0x00020000			// IOPA EN = 1 (Takt f�r Port A)
	str		r1, [r0]

	ldr		r0, =GPIOA_MODER
	ldr		r1,[r0]
	orr		r1, #0x00000400			// A5: General purpose output
	str		r1, [r0]

	ldr		r0,=GPIOA_ODR
	ldr		r1, [r0]

again:
	str		r1, [r0]

	mov		r2, #0x10000			// Verzoegerung
delay:
	subs	r2, r2, #1
	bne		delay

	eor		r1, r1, #0x0000020  		// Bit 5 toggeln
	b		again

 	.section	.isr_vector,"a",%progbits

	.word	_estack
	.word	Reset_Handler
